package net.sf.sidaof.dao.hibernate;

import java.util.Collection;
import java.util.List;

import org.hibernate.LockMode;
import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.SessionFactory;

/**
 * Adapter class that implements all methods with no op/return null/return false
 * operations, mainly useful for test stubs base class.
 * 
 * @author Jeff Jensen
 */
public class HibernateDaoAdapter<K, E> implements HibernateDao<K, E> {
    @Override
    public E findById(K id, LockMode lockMode, boolean exceptionIfNotFound) {
        return null;
    }

    @Override
    public Session getSession() {
        return null;
    }

    @Override
    public SessionFactory getSessionFactory() {
        return null;
    }

    @Override
    public E runQueryWithSingleResult(Query q, LockMode lockMode,
            boolean exceptionIfNotFound) {
        return null;
    }

    @Override
    public E runQueryWithSingleResult(Query q) {
        return null;
    }

    @Override
    public void setSessionFactory(SessionFactory sessionFactory) {
    }

    @Override
    public void clear() {
    }

    @Override
    public boolean contains(E entity) {
        return false;
    }

    @Override
    public List<E> findAll() {
        return null;
    }

    @Override
    public List<E> findAll(int startPosition, int maxResult) {
        return null;
    }

    @Override
    public E findById(K id) {
        return null;
    }

    @Override
    public void flush() {
    }

    @Override
    public E merge(E entity) {
        return null;
    }

    @Override
    public void persist(Collection<E> entities) {
    }

    @Override
    public void persist(E entity) {
    }

    @Override
    public void refresh(E entity) {
    }

    @Override
    public void remove(E entity) {
    }

    @Override
    public Long countAll() {
        return null;
    }

    @Override
    public Long countAll(String where) {
        return null;
    }

    @Override
    public Long countAll(String where, String pathExpression) {
        return null;
    }
}
